#!perl

use strict;
use warnings;
use utf8 IO => ':utf8', ':std';

use Lingua::JA::Romanize::Kana;

my $converter = new Lingua::JA::Romanize::Kana;

open KANA, "d:\\desktop\\dpjaplocnames.txt";

my $pokeid = 1;
while (chomp(my $kana = <KANA>)) {
    print "$pokeid";
    if ($kana) {
        print "\t$kana\t";
        print $converter->chars($kana);
    }
    print "\n";
    $pokeid++;
}